"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHighlightParsingError = exports.getGlobPattern = exports.getExplainshellEndpoint = exports.getShellcheckPath = exports.DEFAULT_GLOB_PATTERN = void 0;
exports.DEFAULT_GLOB_PATTERN = '**/*@(.sh|.inc|.bash|.command)';
function getShellcheckPath() {
    const { SHELLCHECK_PATH } = process.env;
    // If this is an empty string, this should coalesce to null and disable linting via shellcheck:
    return typeof SHELLCHECK_PATH === 'string' ? SHELLCHECK_PATH || null : 'shellcheck';
}
exports.getShellcheckPath = getShellcheckPath;
function getExplainshellEndpoint() {
    const { EXPLAINSHELL_ENDPOINT } = process.env;
    return typeof EXPLAINSHELL_ENDPOINT === 'string' && EXPLAINSHELL_ENDPOINT.trim() !== ''
        ? EXPLAINSHELL_ENDPOINT
        : null;
}
exports.getExplainshellEndpoint = getExplainshellEndpoint;
function getGlobPattern() {
    const { GLOB_PATTERN } = process.env;
    return typeof GLOB_PATTERN === 'string' && GLOB_PATTERN.trim() !== ''
        ? GLOB_PATTERN
        : exports.DEFAULT_GLOB_PATTERN;
}
exports.getGlobPattern = getGlobPattern;
function getHighlightParsingError() {
    const { HIGHLIGHT_PARSING_ERRORS } = process.env;
    return typeof HIGHLIGHT_PARSING_ERRORS !== 'undefined'
        ? HIGHLIGHT_PARSING_ERRORS === 'true' || HIGHLIGHT_PARSING_ERRORS === '1'
        : false;
}
exports.getHighlightParsingError = getHighlightParsingError;
//# sourceMappingURL=config.js.map